<?php
include('header.php'); // Include header file if needed
include('mysqli_connect.php'); // Include database connection file

// Initialize variables to store form data and error messages
$fname = isset($_POST['firstName']) ? $_POST['firstName'] : '';
$lname = isset($_POST['lastName']) ? $_POST['lastName'] : '';
$comments = isset($_POST['comment']) ? $_POST['comment'] : '';
$error = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Check if all required fields are filled
    if ($fname !== '') {
        if ($lname !== '') {
            if ($comments !== '') {
                // Prepare the SQL query (assuming 'guestbook_id' is auto-incremented)
                $query = "INSERT INTO guestbook (fname, lname, date, comments) 
                          VALUES ('$fname', '$lname', NOW(), '$comments')";
                
                // Execute the query
                $result = mysqli_query($dbc, $query);

                // Check if the query was successful
                if ($result) {
                    echo "Record inserted successfully.";
                    // Clear form data after successful submission
                    $fname = $lname = $comments = '';
                } else {
                    echo "Error: " . mysqli_error($dbc);
                }
            } else {
                $error = "Please fill out the comment field.";
            }
        } else {
            $error = "Please fill out the last name field.";
        }
    } else {
        $error = "Please fill out the first name field.";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Guestbook Form</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 800px;
            margin: 20px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h2 {
            color: #333;
            margin-bottom: 20px;
        }

        form label {
            display: block;
            margin-bottom: 5px;
        }

        input[type="text"],
        textarea {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 3px;
        }

        input[type="submit"] {
            background-color: #4CAF50;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }

        input[type="submit"]:hover {
            background-color: #45a049;
        }

        .error-message {
            color: red;
            margin-top: 10px;
        }
    </style>
</head>
<body>

<div class="container">
    <h2>Guestbook Form</h2>

    <form action="comment.php" method="POST">
        <label for="firstName">First Name:</label>
        <input type="text" id="firstName" name="firstName" value="<?php echo htmlspecialchars($fname); ?>"><br><br>

        <label for="lastName">Last Name:</label>
        <input type="text" id="lastName" name="lastName" value="<?php echo htmlspecialchars($lname); ?>"><br><br>

        <label for="comment">Comment:</label><br>
        <textarea id="comment" name="comment" rows="4" cols="50"><?php echo htmlspecialchars($comments); ?></textarea><br><br>

        <input type="submit" value="Submit">
    </form>

    <?php
    // Display error message if there is any
    if (!empty($error)) {
        echo '<div class="error-message">' . $error . '</div>';
    }
    ?>
</div>

<?php
include('footer.php');
?>
</body>
</html>