<?php
include('header.php'); // Include header file if needed
include('mysqli_connect.php'); // Include database connection file

// Initialize variables to store form data and error messages
$id = '';
$error = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get form data using the correct field names
    $id = isset($_POST['id']) ? $_POST['id'] : '';

    // Validate form data
    if (empty($id)) {
        $error = "Please enter the Guestbook ID.";
    } else {
        // Prepare the SQL query (assuming 'guestbook_id' is auto-incremented)
        $query = "DELETE FROM guestbook WHERE guestbook_id = '$id'";
        
        // Execute the query
        $result = mysqli_query($dbc, $query);

        // Check if the query was successful
        if ($result) {
            echo "Record Deleted successfully.";
            // Clear form data after successful deletion
            $id = '';
        } else {
            echo "Error: " . mysqli_error($dbc);
        }
    }
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Delete Guestbook Entry</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 800px;
            margin: 20px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h2 {
            color: #333;
            margin-bottom: 20px;
        }

        form fieldset {
            border: 1px solid #ccc;
            border-radius: 5px;
            padding: 10px;
            margin-bottom: 20px;
        }

        form legend {
            font-weight: bold;
            margin-bottom: 10px;
        }

        label {
            display: block;
            margin-bottom: 5px;
        }

        input[type="text"] {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 3px;
        }

        input[type="submit"] {
            background-color: #f44336;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }

        input[type="submit"]:hover {
            background-color: #d32f2f;
        }

        .error-message {
            color: red;
            margin-top: 10px;
        }
    </style>
</head>
<body>

<div class="container">
    <h2>Delete Guestbook Entry</h2>

    <form action="delete.php" method="POST">
        <fieldset>
            <legend>Enter the Guestbook ID to Delete Entry</legend>

            <label for="id">Guestbook ID:</label><br>
            <input type="text" id="id" name="id" value="<?php echo htmlspecialchars($id); ?>"><br><br>

            <?php if (!empty($error)) : ?>
                <div class="error-message"><?php echo $error; ?></div>
            <?php endif; ?>
        </fieldset>

        <input type="submit" value="Delete">
    </form>
</div>

<?php
include('footer.php');
?>
</body>
</html>