<?php
include('header.php'); // Include header file if needed
include('mysqli_connect.php'); // Include database connection file

// Initialize variables to store form data and error messages
$guestbook_id = '';
$comments = '';
$error = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get form data using the correct field names
    $guestbook_id = isset($_POST['guestbook_id']) ? $_POST['guestbook_id'] : '';
    $comments = isset($_POST['comments']) ? $_POST['comments'] : '';

    // Validate form data
    if (empty($guestbook_id)) {
        $error = "Please enter the Guestbook ID.";
    } elseif (empty($comments)) {
        $error = "Please enter the new comment.";
    } else {
        // Prepare the SQL query (assuming 'guestbook_id' is auto-incremented)
        $query = "UPDATE guestbook SET comments = '$comments' WHERE guestbook_id = '$guestbook_id'";
        
        // Execute the query
        $result = mysqli_query($dbc, $query);

        // Check if the query was successful
        if ($result) {
            echo "Record updated successfully.";
            // Optionally redirect or display a success message
            $guestbook_id = $comments = ''; // Clear form data after successful submission
        } else {
            $error = "Error: " . mysqli_error($dbc);
        }
    }
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Guestbook Update</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 800px;
            margin: 20px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h2 {
            color: #333;
            margin-bottom: 20px;
        }

        form fieldset {
            border: 1px solid #ccc;
            border-radius: 5px;
            padding: 10px;
            margin-bottom: 20px;
        }

        form legend {
            font-weight: bold;
            margin-bottom: 10px;
        }

        label {
            display: block;
            margin-bottom: 5px;
        }

        input[type="text"],
        textarea {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 3px;
        }

        input[type="submit"] {
            background-color: #4CAF50;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }

        input[type="submit"]:hover {
            background-color: #45a049;
        }

        .error-message {
            color: red;
            margin-top: 10px;
        }
    </style>
</head>
<body>

<div class="container">
    <h2>Enter Your Updated Guestbook Entry</h2>

    <form action="update.php" method="POST">
        <fieldset>
            <legend>Guestbook Update form</legend>

            <label for="guestbook_id">Guestbook ID:</label>
            <input type="text" id="guestbook_id" name="guestbook_id" value="<?php echo htmlspecialchars($guestbook_id); ?>"><br><br>

            <label for="comment">Please Enter Your New Comment:</label><br>
            <textarea id="comments" name="comments" rows="4" cols="50"><?php echo htmlspecialchars($comments); ?></textarea><br><br>

            <?php if (!empty($error)) : ?>
                <div class="error-message"><?php echo $error; ?></div>
            <?php endif; ?>
        </fieldset>

        <input type="submit" value="Submit">
    </form>
</div>

<?php
include('footer.php');
?>
</body>
</html>